YSTest: YSLib::Components::Console Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | Friends | List of all members
YSLib::Components::Console Class Reference

控制台。 More...

`#include <Console.h>`

Collaboration diagram for YSLib::Components::Console:
[legend]

## Public Member Functions

| Console (Devices::Screen &scr, bool a=true, Drawing::Color fc=Drawing::ColorSpace::White, Drawing::Color bc=Drawing::ColorSpace::Black)
| 构造：使用指定屏幕、有效性、前景色和背景色。
virtual | ~Console ()
| 析构。
void | Pause ()

## Public Attributes

Devices::Screen & | Screen

## Friends

void | Activate (Console &, Drawing::Color=Drawing::ColorSpace::White, Drawing::Color=Drawing::ColorSpace::Black)
| 激活：使用指定屏幕、有效性、前景色和背景色。
void | Deactivate (Console &)
| 停用。

## Detailed Description

控制台。

Definition at line 39 of file Console.h.

## Constructor & Destructor Documentation

YSLib::Components::Console::Console | ( | Devices::Screen & | scr,
|  | bool | a = `true`,
|  | Drawing::Color | fc = `Drawing::ColorSpace::White`,
|  | Drawing::Color | bc = `Drawing::ColorSpace::Black`
| ) |  |

inlineexplicit

构造：使用指定屏幕、有效性、前景色和背景色。

Since
  build 296

Definition at line 49 of file Console.h.

References YSLib::Activate(), and fc.

Here is the call graph for this function:

virtual YSLib::Components::Console::~Console | ( |  | ) |

inlinevirtual

析构。

Note
  自动停用。

Definition at line 62 of file Console.h.

References Deactivate().

Here is the call graph for this function:

## Member Function Documentation

YSL_BEGIN void Console::Pause | ( |  | ) |

Definition at line 36 of file Console.cpp.

References platform::WaitForInput().

Here is the call graph for this function:

## Friends And Related Function Documentation

void Activate | ( | Console & | ,
|  | Drawing::Color | = `Drawing::ColorSpace::White`,
|  | Drawing::Color | = `Drawing::ColorSpace::Black`
| ) |  |

friend

激活：使用指定屏幕、有效性、前景色和背景色。

void Deactivate | ( | Console & |  | ) |

friend

停用。

## Member Data Documentation

Devices::Screen& YSLib::Components::Console::Screen

Definition at line 42 of file Console.h.

The documentation for this class was generated from the following files:

- Console.h
- Console.cpp